@import '../global/var';
@import '../global/var-pages';
@import '../ui/components/animation';

.app-header {
    z-index: $z-index-header;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    &__container {
        background-color: $dark13a;
        padding-left: 16px; // after added right menu change - 24px
        padding-right: 16px;
        height: $header_height;
        display: flex;
    }
    &__logo {
        height: 32px;
        line-height: $header_height;
        padding-right: 24px;
        cursor: pointer;
    }
    &__menu {
        margin-left: auto;
        .nav {
            &-list {
                display: flex;
                list-style: none;
                margin: 0;
                height: 100%;
                padding: 0;
            }
            &-item {
                position: relative;
                margin-left: 20px;
                padding: 0;
                &:hover {
                    .nav-item__link {
                        color: $turquoiseac3;
                        background-color: transparent;
                        transition: none;
                    }
                }
                &__link {
                    color: $white;
                    margin: 0;
                    font-size: 40px;
                    display: block;
                    min-width: 24px;
                    background: transparent;
                    max-height: 40px;
                    line-height: 40px;
                    padding: 0 10px;
                }
                &__text {
                    display: none;
                }
                &._active {
                    background-color: $gray5f5;
                    .nav-item__link {
                        color: $turquoise69a;
                    }
                }
            }
        }
    }
    &__burger {
        display: none;
        align-self: center;
    }
    &__banner {
        display: flex;
        align-items: center;
        margin-left: auto;
        font-weight: 500;
        font-size: 14px;
        line-height: 24px;
        position: relative;
        &-icon.material-icons {
            margin: 0;
            height: 40px;
            width: 40px;
        }
        &-text {
            color: $green-new;
            margin: 0 8px;
        }
        &-link {
            color: $white;
            margin-right: 8px;
            &:hover,
            &:focus {
                color: $yellow500;
                text-decoration: none;
            }
        }
        &-button {
            border-radius: 222px;
            background-color: $green-new;
            color: $dark13a;
            padding: 0 8px;
            font-weight: 500;
            font-size: 12px;
            line-height: 16px;
            border: none;
            height: auto;
            &:hover {
                background-color: $white;
                text-decoration: none;
                @media (hover: none) {
                    background-color: $green-new;
                }
            }
            ._white {
                color: $white;
                padding: 0;
                border-radius: unset;
            }
        }
        &-form {
            max-height: fit-content;
            padding: 0;
            position: absolute;
            transform: translateY(0);
            z-index: -1;
            transition: transform 0.3s ease-out;
            &-content {
                width: 500px;
                min-height: 540px;
                height: auto;
            }
        }
        &-wrapper {
            width: auto;
            display: flex;
            align-items: center;
            justify-content: center;
            max-width: 500px;
        }
    }
}

.nav-sublist {
    background: $white;
    min-width: 148px;
    list-style: none;
    padding: 0;
    margin: 0;
    &__item {
        &-link {
            color: $black;
            padding: 12px 16px;
            font-size: 14px;
            line-height: 24px;
            display: flex;
            align-items: center;
            &:hover {
                background-color: $gray5f5;
                text-decoration: none;
                color: $black;
            }
            &._active {
                color: $turquoise69a;
            }
        }
        &-icon.material-icons {
            display: none;
            &._before-text {
                display: block;
                font-size: 16px;
                margin-right: 8px;
            }
            &._subicon {
                display: block;
                font-size: 16px;
                margin-left: 8px;
            }
        }
    }
}

md-list-item, md-list-item .md-list-item-inner {
    min-height: 40px;
    padding: 0;
    height: 100%;
}
.md-select-menu-container.md-active md-select-menu>* {
    transition: none;
}

@media(max-width: $screen-sm) {
    .app-header {
        &__container {
            position: relative;
        }
        &__banner {
            position: static;
            &-text {
                margin-right: 16px;
            }
        }
    }
}

@media(max-width: $md-screen-xs) {
    .app-header {
        &__container {
            position: relative;
            justify-content: space-between;
        }
        &__menu {
            transform: translateY(-200%);
            margin-left: 0;
            z-index: -1;
            position: absolute;
            background: $white;
            width: 100%;
            left: 0;
            border-bottom-right-radius: 8px;
            border-bottom-left-radius: 8px;
            box-shadow: 0 3px 4px rgba($black, 0.05), 0 3px 3px rgba($black, 0.08), 0 1px 8px rgba($black, 0.14);
            &._active {
                transform: translateY(40px);
                transition: transform 0.3s ease;
            }
            .nav {
                &-list {
                    flex-direction: column;
                    padding: 24px 24px 0;
                }
                &-item {
                    margin-left: 0;
                    padding: 0;
                    align-self: baseline;
                    width: 100%;
                    &:last-child {
                        margin-bottom: 0;
                    }
                    &__link {
                        color: $gray57c;
                        display: flex;
                        align-items: center;
                        margin-bottom: 16px;
                        &:hover {
                            text-decoration: none;
                            color: $gray57c;
                        }
                        &._mobile {
                            display: none;
                        }
                    }
                    &__text {
                        display: block;
                        color: $black;
                        margin-left: 12px;
                        font-weight: 400;
                        font-size: 14px;
                        text-transform: none;
                        margin-right: 8px;
                    }
                    &._active {
                        background-color: transparent;
                        .nav-item__link {
                            color: $turquoise69a;
                        }
                    }
                }
            }
            &-button {
                width: 16px;
                border: 2px solid $gray8be;
                display: block;
                margin-top: 8px;
                margin-bottom: 8px;
                margin-left: 50%;
                transform: translateX(-50%);
            }
        }
        &__burger {
            display: block;
            margin-left: auto;

            &-button  {
                min-width: 24px;
                padding: 6px 3px;
                color: $white;
                font-size: 40px;
                min-height: 24px;
                line-height: 24px;
                background-color: transparent;
                border: none;
                &-icon {
                    --afterAnimation: '';
                    --beforeAnimation: '';
                    width: 18px;
                    height: 2px;
                    background-color: $white;
                    position: relative;
                    opacity: 1;
                    &:before,
                    &:after {
                        position: absolute;
                        display: block;
                        content: '';
                        width: 18px;
                        height: 2px;
                        background-color: $white;
                        left: 0;
                        top: 0;
                    }
                    &:before {
                        transform: translateY(-5px);
                        animation: var(--beforeAnimation);
                    }

                    &:after {
                        transform: translateY(5px);
                        animation: var(--afterAnimation);
                    }

                    &._active {
                        background-color: transparent;
                        &:before {
                            transform: translateY(0) rotate(45deg);

                        }
                        &:after {
                            transform: translateY(0) rotate(-45deg);
                        }
                    }
                }
            }
        }
        &__backdrop {
            position: absolute;
            left: 0;
            width: 100%;
            height: 100vh;
            background-color: $black;
            z-index: -2;
            opacity: 0;
            pointer-events: none;
            transition: opacity .15s ease;
            &._active {
                opacity: .25;
                pointer-events: auto;
                transition: opacity .15s ease;
            }
        }
        &__banner {
            &-button {
                &:hover {
                    background-color: $green-new;
                }
            }
        }
    }
}

@media (max-width: $md-screen-xs) {
    .app-header {
        &__banner {
            display: none;
        }
    }
}

@media screen and (max-width: $screen-md) and (orientation: landscape) {
    .app-header {
        &__banner {
            display: none;
        }
    }
}

@media (max-width: $breakpoint-mobile-small) {
    .app-header {
        &__container {
            padding-left: 84px; // 60px - icon width + 24px - initial padding
        }
    }
}
